# AntlrSourceVirtualDirectory

API Documentation: | `AntlrSourceVirtualDirectory`

Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `SourceSet`. Its implementation gets pushed onto the `org.gradle.api.internal.DynamicObjectAware` portion of the source set under the name 'antlr'.

### Properties

Property | Description
`antlr` | All Antlr source for this source set.

### Methods

No methods

### Script blocks

Block | Description
`antlr` | Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

### Property details

#### `SourceDirectorySet` `antlr` (read-only)

All Antlr source for this source set.

Default with `antlr` plugin:
  `[`${project.projectDir}`/src/`${sourceSet.name}`/antlr]`

### Script block details

#### `antlr` { }

Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

Delegates to:
  `SourceDirectorySet` from `antlr`